@tool 
class_name Shadow extends Node2D

@export var shadow_color: Color = Color(0, 0, 0, 0.3) # Semi-transparent black
@export var shadow_size: float = 12


func _draw():
	draw_set_transform(Vector2.ZERO, 0, Vector2(1, 0.7))
	draw_circle(Vector2.ZERO, shadow_size, shadow_color, true)
